.th_subscription_section{width:100%; display:inline-block; padding:25px 0; box-sizing:border-box;}
.th_subscription_section div, .th_subscription_section legend, .th_subscription_section label, .th_subscription_section select, .th_subscription_section span, .th_subscription_section input{box-sizing:border-box;}
.th_subscription_section .th_sp_wf_cls{width:100%; float:left;}
.th_subscription_section .th_subscription_section_title{margin-bottom:5px;}
.th_subscription_section .th_subscription_fieldset{padding:15px; border-left:1px solid #eee; border-right:1px solid #eee; border-top:1px solid #eee;}
.th_subscription_section .th_subscription_fieldset:last-child{border-bottom:1px solid #eee;}
.th_subscription_fieldset .th_subscription_group_label{display:-ms-flexbox; display:flex; -ms-flex-wrap:wrap; flex-wrap:wrap; align-items:center; line-height:normal !important; margin:0 !important; padding:0 !important;}
.th_subscription_fieldset .th_subscription_group_label .th_subscription_fieldset_radio{margin-right:8px; min-height:inherit !important;}
.th_subscription_fieldset .th_subscription_group_label .th_subscription_fieldset_name{font-weight:600;}
.th_subscription_fieldset .th_subscription_spg_plan{padding:15px 20px 0;}
.th_subscription_fieldset .th_subscription_spg_plan .th_subscription_spg_plan_title{padding:0 0 10px !important; margin:0 !important; line-height:normal !important;}
.th_subscription_fieldset .th_subscription_spg_plan .th_subscription_spg_plan_select{width:100%; min-height:inherit !important;}


.thsb_cp_section{width:100%; display:inline-block;}
.thsb_cp_section div, .thsb_cp_section p, .thsb_cp_section span, .thsb_cp_section a, .thsb_cp_section table, .thsb_cp_section thead, .thsb_cp_section tbody, .thsb_cp_section th, .thsb_cp_section td, .thsb_cp_section tr, .thsb_cp_section strong, .thsb_cp_section h1, .thsb_cp_section h2, .thsb_cp_section h3{box-sizing:border-box;}
.thsb_cp_section .th_sp_wf_cls{width:100%; float:left;}
.thsb_cp_section .thsb_cp_container{width:100%; max-width:1200px; margin:0 auto;}
.thsb_cp_section .thsb_cp_container:after{content:''; display:table; clear:both;}
.thsb_cp_section .thsb_cp_page_title{width:100%; display:flex; flex-wrap:wrap; align-items:center; justify-content:space-between; padding-bottom:40px;}
.thsb_cp_section .thsb_cp_page_title h1{margin:0 !important; padding:0 15px 0 0 !important;}
.thsb_cp_section .thsb_cp_sub_title{padding-bottom:15px;}
.thsb_cp_section .thsb_cp_sub_title h2{margin:0 !important; padding:0 !important; text-transform:none;}
.thsb_cp_section .thsb_cp_detail_table_cls{overflow-x:auto;}

.thsb_cp_detail_section{width:100%; display:inline-block;}
.thsb_cp_detail_section div, .thsb_cp_detail_section p, .thsb_cp_detail_section span, .thsb_cp_detail_section a, .thsb_cp_detail_section table, .thsb_cp_detail_section thead, .thsb_cp_detail_section tbody, .thsb_cp_detail_section th, .thsb_cp_detail_section td, .thsb_cp_detail_section tr, .thsb_cp_detail_section strong, .thsb_cp_detail_section h1, .thsb_cp_detail_section h2, .thsb_cp_detail_section h3{box-sizing:border-box;}
.thsb_cp_detail_section .th_sp_wf_cls{width:100%; float:left;}
.thsb_cp_detail_section .thsb_cp_detail_container{width:100%; max-width:1200px; margin:0 auto;}
.thsb_cp_detail_section .thsb_cp_detail_container:after{content:''; display:table; clear:both;}
.thsb_cp_detail_section .thsb_cp_detail_page_title{width:100%; display:flex; flex-wrap:wrap; align-items:center; justify-content:space-between; padding-bottom:40px;}
.thsb_cp_detail_section .thsb_cp_detail_page_title h1{margin:0 !important; padding:0 15px 0 0 !important;}
.thsb_cp_detail_section .thsb_cp_detail_sub_title{padding-bottom:15px;}
.thsb_cp_detail_section .thsb_cp_detail_sub_title h2{margin:0 !important; padding:0 !important; text-transform:none;}
.thsb_cp_detail_section .thsb_cp_detail_sub_title h3{margin:0 !important; padding:0 !important; text-transform:none;}
.thsb_cp_detail_section .thsb_cp_detail_row_cls{padding-bottom:30px;}
.thsb_cp_detail_section .thsb_cp_detail_schedule_table td{width:25%;}
.thsb_cp_detail_section .thsb_cp_detail_schedule_table a{width:100%;}
.thsb_cp_detail_section .thsb_cp_detail_payment_table a{width:100%;}
.thsb_cp_detail_section .thsb_cp_detail_grid_row{width:100%; display:-ms-flexbox; display:flex; flex-wrap:wrap; -ms-flex-wrap:wrap; align-items:center;}
.thsb_cp_detail_section .thsb_cp_detail_grid_column{-webkit-flex:0 0 50%; -ms-flex:0 0 50%; flex:0 0 50%; max-width:50%;}
.thsb_cp_detail_section .thsb_cp_detail_grid_column:nth-child(odd){padding-right:10px;}
.thsb_cp_detail_section .thsb_cp_detail_grid_column:nth-child(even){padding-left:10px;}
.thsb_cp_detail_section .thsb_cp_detail_address p{margin-bottom:10px;}
.thsb_cp_detail_section .thsb_cp_detail_address p:last-child{margin-bottom:0;}
.thsb_cp_detail_section .thsb_cp_detail_table_cls{overflow-x:auto;}

@keyframes ld-cycle{
  0%, 50%, to{animation-timing-function:cubic-bezier(.5, .5, .5, .5)}
  0%{-webkit-transform:rotate(0); transform:rotate(0)}
  50%{-webkit-transform:rotate(180deg); transform:rotate(180deg)}
  to{-webkit-transform: rotate(360deg); transform: rotate(360deg)}
}
@-webkit-keyframes ld-cycle{
  0%, 50%, to{animation-timing-function:cubic-bezier(.5, .5, .5, .5)}
  0%{-webkit-transform:rotate(0); transform:rotate(0)}
  50%{-webkit-transform:rotate(180deg); transform:rotate(180deg)}
  to{-webkit-transform: rotate(360deg); transform: rotate(360deg)}
}

.thsb_cp_detail_section .thsb_cp_ajax_btn_cls{position:relative;}
.thsb_cp_detail_section .thsb_cp_ajax_btn_cls.thsb_cp_ajax_btn_cls_loading span.thsb_cp_btn_text{opacity:0;}
.thsb_cp_detail_section .thsb_cp_ajax_btn_cls.thsb_cp_ajax_btn_cls_loading em.thsb_cp_btn_loader{width:20px; height:20px; position:absolute; top:50%; left:50%; margin:-10px 0 0 -10px; opacity:1; transition-timing-function:ease-in; -webkit-animation:ld-cycle 1s infinite linear; animation:ld-cycle 1s infinite linear;}
.thsb_cp_detail_section .thsb_cp_ajax_btn_cls.thsb_cp_ajax_btn_cls_loading em.thsb_cp_btn_loader::after{width:100%; height:100%; position:absolute; margin:auto; top:0; left:0; right:0; bottom:0; content:" "; display:inline-block; background:center center no-repeat; background-size:cover; -webkit-background-clip:padding-box; box-sizing:border-box; border-width:3px; border-color:currentColor currentColor currentColor transparent; border-radius:50%; border-style:solid;}

.thsb_cp_detail_section .thsb_cp_detail_csa_title{width:100%; display:flex; flex-wrap:wrap; align-items:center; justify-content:space-between;}

.thsb_csa_model_section{width:100%; height:100%; position:fixed; z-index:-999999999999; opacity:0; -webkit-transition:all 0.7s ease-out; -moz-transition:all 0.7s ease-out; transition:all 0.7s ease-out; left:0; top:0; background-color:rgba(0,0,0,.7); overflow-y:scroll;}
.thsb_csa_model_section.thsb_csa_model_show{opacity:1; z-index:999999999999;}
.thsb_csa_model_section .thsb_csa_model_outer{width:100%; max-width:1000px; overflow-y:auto; background:0 0; padding:20px 15px 50px; margin:0 auto; position:absolute; top:80px; left:0; right:0;}
.thsb_csa_model_section .thsb_csa_model_inner{width:100%; float:left; position:relative; background:#fff;}
.thsb_csa_model_section .thsb_csa_model_content{width:100%; float:left; padding:20px;}
.thsb_csa_model_section .thsb_csa_model_title{width:100%; float:left; margin:0; padding:0 0 30px 0;}
.thsb_csa_model_section .thsb_csa_model_title h3{margin:0; padding:0;}
.thsb_csa_model_section .thsb_csa_model_form{width:100%; float:left;}
.thsb_csa_model_section .thsb_csa_model_form fieldset{width:100%; float:left; margin:0; padding:0 0 15px; border:none;}
.thsb_csa_model_section .thsb_csa_model_form .thsb_csa_model_label_cls{width:100%; float:left; margin:0; padding:0 0 5px 0;}
.thsb_csa_model_section .thsb_csa_model_form .thsb_csa_model_input_cls{width:100%; float:left;}
.thsb_csa_model_section .thsb_csa_submit_form{width:100%; float:left; margin:0; padding:10px 0 0 0;}
.thsb_csa_model_section .thsb_csa_submit_form .thsb_csa_submit_form_btn{margin:0 !important;}
.thsb_csa_model_section .thsb_csa_model_close_btn{position:absolute; right:10px; top:10px; width:20px; height:20px; cursor:pointer;}
.thsb_csa_model_section .thsb_csa_model_close_btn:before, .thsb_csa_model_section .thsb_csa_model_close_btn:after{position:absolute; left:9px; content:' '; height:20px; width:2px; background-color:#000;}
.thsb_csa_model_section .thsb_csa_model_close_btn:before{transform:rotate(45deg);}
.thsb_csa_model_section .thsb_csa_model_close_btn:after{transform:rotate(-45deg);}
.thsb_cp_detail_ajax_msg p{width:100%; float:left; margin:0; padding:10px 0 0;}
.thsb_cp_detail_ajax_msg p.thsb_cp_detail_ajax_success{color:#4BB543;}
.thsb_cp_detail_ajax_msg p.thsb_cp_detail_ajax_error{color:#FF3333}
a.btn[disabled]{pointer-events: none;}



.thsb_cp_detail_section .thsb_cp_detail_billing_table a{width:100%;}
.thsb_cp_change_date_model{width:100%; height:100%; position:fixed; z-index:-999999999999; opacity:0; -webkit-transition:all 0.4s ease-out; -moz-transition:all 0.4s ease-out; transition:all 0.4s ease-out; left:0; top:0; background-color:rgba(0,0,0,.7); overflow-y:scroll;}
.thsb_cp_change_date_model.thsb_csa_model_show{opacity:1; z-index:999999999999;}
.thsb_cp_change_date_model .thsb_cp_change_date_outer{width:100%; max-width:1000px; overflow-y:auto; background:0 0; padding:20px 15px 50px; margin:0 auto; position:absolute; top:80px; left:0; right:0;}
.thsb_cp_change_date_model .thsb_cp_change_date_inner{width:100%; float:left; position:relative; background:#fff;}
.thsb_cp_change_date_model .thsb_cp_change_date_close_btn{position:absolute; right:10px; top:10px; width:20px; height:20px; cursor:pointer;}
.thsb_cp_change_date_model .thsb_cp_change_date_close_btn:before, .thsb_cp_change_date_model .thsb_cp_change_date_close_btn:after{position:absolute; left:9px; content:' '; height:20px; width:2px; background-color:#000;}
.thsb_cp_change_date_model .thsb_cp_change_date_close_btn:before{transform:rotate(45deg);}
.thsb_cp_change_date_model .thsb_cp_change_date_close_btn:after{transform:rotate(-45deg);}
.thsb_cp_change_date_model .thsb_cp_change_date_title{width:100%; float:left; margin:0; padding:0 0 30px 0;}
.thsb_cp_change_date_model .thsb_cp_change_date_title h3{margin:0; padding:0;}
.thsb_cp_change_date_model .thsb_cp_change_date_content{width:100%; float:left; padding:20px;}
.thsb_cp_change_date_model .thsb_cp_change_date_form{width:100%; float:left;}
.thsb_cp_change_date_model .thsb_cp_change_date_form fieldset{width:100%; float:left; margin:0; padding:0 0 15px; border:none;}
.thsb_cp_change_date_model .thsb_cp_change_date_form .thsb_cp_change_date_label_cls{width:100%; float:left; margin:0; padding:0 0 5px 0;}
.thsb_cp_change_date_model .thsb_cp_change_date_form .thsb_cp_change_date_input_cls{width:100%; float:left;}
.thsb_cp_change_date_model .thsb_cp_change_date_form fieldset.thsb_cp_change_half_fieldset .thsb_cp_change_date_half_padding{width:50%; float:left;}
.thsb_cp_change_date_model .thsb_cp_change_date_form fieldset.thsb_cp_change_half_fieldset .thsb_cp_change_date_half_padding:nth-child(odd){padding-left:10px;}
.thsb_cp_change_date_model .thsb_cp_change_date_form fieldset.thsb_cp_change_half_fieldset .thsb_cp_change_date_half_padding:nth-child(even){padding-right:10px;}
.thsb_cp_change_date_model .thsb_cp_change_date_form .thsb_cp_change_date_select_cls{width:100%; float:left;}
.thsb_cp_change_date_model .thsb_cp_change_date_submit_form{width:100%; float:left; margin:0; padding:10px 0 0 0;}
.thsb_cp_change_date_model .thsb_cp_change_date_submit_form .thsb_cp_change_date_submit_form_btn{margin:0 !important;}
input.th_subscription_fieldset_radio[type=radio] {-webkit-appearance: radio;}

@media(max-width:1199px){
  .thsb_cp_section .thsb_cp_container{max-width:initial; padding:0 15px;}
  .thsb_cp_detail_section .thsb_cp_detail_container{max-width:initial; padding:0 15px;}
}

@media(max-width:641px){
  .thsb_cp_detail_section .thsb_cp_detail_grid_column{-webkit-flex:0 0 100%; -ms-flex:0 0 100%; flex:0 0 100%; max-width:100%; padding-bottom:30px;}
  .thsb_cp_detail_section .thsb_cp_detail_grid_column:nth-child(odd){padding-right:0;}
  .thsb_cp_detail_section .thsb_cp_detail_grid_column:nth-child(even){padding-left:0;}
  .thsb_cp_detail_section .thsb_cp_detail_grid_column:last-child{padding-bottom:0;}
}